Bug 820439 - KDE export dialog broken for most formats
KDE export dialog broken for most formats
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 18:54 EDT by Ian Pilcher
Modified: 2012-06-09 05:07 EDT (History)
10 users (show)

See Also:
Fixed In Version: libreoffice-3.5.4.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-09 05:07:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Cropped contents of Filter drop-down (actual size extends across display) (42.99 KB, image/png)
2012-05-09 18:54 EDT, Ian Pilcher
no flags Details
Patch backported to 3.5.3.2 (738 bytes, patch)
2012-05-10 17:53 EDT, Ian Pilcher
no flags Details | Diff

  None (edit)
Description Ian Pilcher 2012-05-09 18:54:54 EDT
Created attachment 583395 [details]
Cropped contents of Filter drop-down (actual size extends across display)

Description of problem:
Trying to export from Draw to an EMF file.  The Filter drop-down in the Export dialog is seriously borked; all of the formats other than HTML, XHTML, PDF, and Flash appear to have gotten corrupted somehow, and they are can only be selected together.  The Export dialog in impress shows the same problem.

Version-Release number of selected component (if applicable):
libreoffice-draw-3.5.2.1-6.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Open LibreOffice Draw
2. File -> Export
3. Attempt to set Filter to anything except HTML, XHTML, PDF, or Flash
  
Actual results:
All other formats get selected together.  Weird error message ensues.

Expected results:
Should be able to select individual format EMF, BMP, PNG, etc.

Additional info:
Comment 1 Ian Pilcher 2012-05-10 01:45:32 EDT
This problem is specific to the KDE-integrated export dialog.  Removing libreoffice-kde is a workaround.
Comment 3 Ian Pilcher 2012-05-10 17:53:27 EDT
Created attachment 583685 [details]
Patch backported to 3.5.3.2

Currently rebuilding libreoffice-3.5.3.2-3.fc17.src.rpm with this patch.  Will report results.
Comment 4 Ian Pilcher 2012-05-10 23:31:55 EDT
(In reply to comment #3)
> Created attachment 583685 [details]
> Patch backported to 3.5.3.2

With this patch applied, the KDE export dialog works again.
Comment 5 David Tardon 2012-05-11 01:48:18 EDT
will be fixed in libreoffice-3.5.3.2-4.fc17
Comment 6 Mitch Golden 2012-05-21 01:52:09 EDT
Can someone check to see if this patch fixes what appears to be the same behavior on the Import dialog?  I am unable to select any single file type.
Comment 7 Ian Pilcher 2012-05-21 09:55:17 EDT
(In reply to comment #6)
> Can someone check to see if this patch fixes what appears to be the same
> behavior on the Import dialog?  I am unable to select any single file type.

I'd be happy to check ... if I could find the Import dialog.  Where is it?
Comment 8 Mitch Golden 2012-05-21 11:26:29 EDT
(In reply to comment #7)
> (In reply to comment #6)
> > Can someone check to see if this patch fixes what appears to be the same
> > behavior on the Import dialog?  I am unable to select any single file type.
> 
> I'd be happy to check ... if I could find the Import dialog.  Where is it?

Sorry - I just mean the ordinary file Open dialog.  It's the filter dropdown at the bottom.

If you want to open a tab-delimited file with an extension .txt as a spreadsheet you have to go to Open... and then select "text csv" as the file type.  If you don't do this, the file will open as a text document, not a spreadsheet.  That is why this is actually a rather significant bug.  The workaround is to rename the file .csv.

Do we know if this patch has been submitted upstream?  I wasn't able to figure out where it should be sent to.
Comment 9 Ian Pilcher 2012-05-21 11:40:16 EDT
(In reply to comment #8)
> If you want to open a tab-delimited file with an extension .txt as a
> spreadsheet you have to go to Open... and then select "text csv" as the file
> type.  If you don't do this, the file will open as a text document, not a
> spreadsheet.  That is why this is actually a rather significant bug.  The
> workaround is to rename the file .csv.

Seems to work just fine on my patched 3.5.3.2, so I'd say that it's fixed.

> Do we know if this patch has been submitted upstream?  I wasn't able to
> figure out where it should be sent to.

Which patch?  The patch in comment #2 is upstream.  AFAIK, no one has submitted the patch attached to this bug upstream.
Comment 10 Mitch Golden 2012-05-21 12:19:20 EDT
(In reply to comment #9)
> Which patch?  The patch in comment #2 is upstream.  AFAIK, no one has
> submitted the patch attached to this bug upstream.

Sorry, didn't get that.  No, there's nothing do to at this point.

Note You need to log in before you can comment on or make changes to this bug.